package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: sop保存param
 * @Param:
 * @return:
 * @Author: wngliang
 * @Date: 2023/9/4
 */
public class SopSaveParam implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("sopId")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "sopId不能为空")
    private Long id;

    @ApiModelProperty(value = "流程表单数据")
    @NotEmpty(message = "流程表单数据不能为空")
    private String formProperties;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFormProperties() {
        return formProperties;
    }

    public void setFormProperties(String formProperties) {
        this.formProperties = formProperties;
    }
}
